%define name glabels
%define version 2.2.4
%define release %mkrel 1

%define major 5
%define libname %mklibname %{name} %major
%define libnamedev %mklibname %{name}  -d


Summary:	GNOME program to create labels and business cards
Name:		%name
Version:	%version
Release:	%release
License:	GPLv2+
Group:		Office
Source:		http://easynews.dl.sourceforge.net/sourceforge/glabels/%name-%version.tar.gz
Patch0:		glabels-2.2.4-fix-str-fmt.patch
URL:		http://glabels.sourceforge.net/
Buildrequires:  libgnomeprintui-devel
BuildRequires:  evolution-data-server-devel
BuildRequires:  libglade2.0-devel
BuildRequires:  libgnomeui2-devel
BuildRequires:  perl-XML-Parser
BuildRequires:  scrollkeeper
BuildRequires:  desktop-file-utils
Requires(post): scrollkeeper
Requires(postun): scrollkeeper

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Glabels is stand-alone program for creating labels and business cards
for GNOME.

%package -n %libname
Summary: GNOME program to create labels and business cards
Group: System/Libraries

%description -n %libname
Glabels is stand-alone program for creating labels and business cards
for GNOME. Libraries.

%package -n %libnamedev
Summary: Glabels devel files
Group: Development/Other
Requires: %libname = %version
Provides: libglabels-devel
Obsoletes: %mklibname -d glabels 4

%description -n %libnamedev
Glabels is stand-alone program for creating labels and business cards
for GNOME. Devel files.

%prep
%setup -q
%patch0 -p0

%build
%configure2_5x --disable-update-mimedb --disable-update-desktopdb
%make

%install
rm -fr %buildroot
%makeinstall_std
rm -rf $RPM_BUILD_ROOT/var

perl -p -i -e 's/%{name}.png/%{name}/g' %{buildroot}/%{_datadir}/applications/%{name}.desktop

desktop-file-install --vendor="" \
  --remove-category='Application' \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

%find_lang %name --with-gnome

%if %mdkversion < 200900
%post
%update_menus
%update_mime_database
%update_scrollkeeper
%endif

%if %mdkversion < 200900
%postun
%clean_menus
%clean_mime_database
%clean_scrollkeeper
%endif

%if %mdkversion < 200900
%post -n %libname -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -n %libname -p /sbin/ldconfig
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-, root, root)
%doc README AUTHORS
%_bindir/*
%_datadir/%name
%_datadir/application-registry/*
%_datadir/applications/*
%_datadir/mime-info/*
%_datadir/mime/packages/*
%dir %_datadir/omf/%name
%_datadir/omf/%name/%name-C.omf
%_datadir/pixmaps/*
%_mandir/man1/*
%_datadir/gtk-doc/html/libglabels/*

%files -n %libname
%defattr(-, root, root)
%_libdir/*.so.%{major}*

%files -n %libnamedev
%defattr(-, root, root)
%_libdir/*.so
%_libdir/*.*a
%dir %_includedir/libglabels
%_includedir/libglabels/*
%_libdir/pkgconfig/libglabels.pc




%changelog
* Tue Dec 23 2008 Funda Wang <fundawang@mandriva.org> 2.2.4-1mdv2009.1
+ Revision: 317773
- fix str fmt
- new version 2.2.4

* Wed Aug 20 2008 Funda Wang <fundawang@mandriva.org> 2.2.3-1mdv2009.0
+ Revision: 274124
- New version 2.2.3
- drop merged patch

* Sun Aug 10 2008 Frederik Himpe <fhimpe@mandriva.org> 2.2.2-2mdv2009.0
+ Revision: 270431
- Add Fedora patch to fix a segfault

* Thu Jun 12 2008 Pixel <pixel@mandriva.com> 2.2.2-1mdv2009.0
+ Revision: 218423
- rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
- do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sun Feb 24 2008 Frederik Himpe <fhimpe@mandriva.org> 2.2.2-1mdv2008.1
+ Revision: 174116
- New upstream release

* Mon Feb 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.2.0-2mdv2008.1
+ Revision: 170863
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake

* Sun Dec 30 2007 Funda Wang <fundawang@mandriva.org> 2.2.0-1mdv2008.1
+ Revision: 139526
- New major
- New version 2.2.0

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Nov 21 2007 Jérôme Soyer <saispo@mandriva.org> 2.1.4-1mdv2008.1
+ Revision: 110924
- Fix Bug #35569
- Fix Bug #35569

  + Thierry Vignaud <tvignaud@mandriva.com>
    - replace %%_datadir/man by %%_mandir!


* Fri Dec 29 2006 Frederic Crozat <fcrozat@mandriva.com> 2.1.3-5mdv2007.0
+ Revision: 102561
- Rebuild with latest eds

* Thu Nov 30 2006 Götz Waschk <waschk@mandriva.org> 2.1.3-4mdv2007.1
+ Revision: 88942
- fix buildrequires
- fix buildrequires
- handle scrollkeeper
- spec fixes
- Import glabels

* Thu Nov 30 2006 Gtz Waschk <waschk@mandriva.org> 2.1.3-3mdv2007.1
- fix buildrequires

* Fri Aug 04 2006 Frederic Crozat <fcrozat@mandriva.com> 2.1.3-2mdv2007.0
- xdg menu
- rebuild with latest dbus

* Wed May 31 2006 Lenny Cartier <lenny@mandriva.com> 2.1.3-1mdv2007.0
- 2.1.3

* Thu May 11 2006 Frederic Crozat <fcrozat@mandriva.com> 2.1.2-3mdk
- Fix buildrequires

* Tue Apr 25 2006 Frederic Crozat <fcrozat@mandriva.com> 2.1.2-2mdk
- Rebuild with latest e-d-s

* Thu Apr 06 2006 Nicolas Lcureuil <neoclust@mandriva.org> 2.1.2-1mdk
- New release 2.1.2

* Mon Dec 26 2005 Lenny Cartier <lenny@mandriva.com> 2.0.4-1mdk
- 2.0.4

* Fri Oct 28 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.0.3-3mdk
- Fix BuildRequires

* Fri Oct 28 2005 Lenny Cartier <lenny@mandriva.com> 2.0.3-2mdk
- rebuild for dependencies

* Fri Jul 22 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.0.3-1mdk
- New release 2.0.3

* Mon Jan 24 2005 Lenny Cartier <lenny@mandrakesoft.com> 2.0.2-1mdk
- 2.0.2

* Thu Jan 06 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.1-6mdk 
- Rebuild with latest howl

* Fri Nov 12 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.0.1-5mdk
- fix installation
- spec fixes
- fix buildrequires

* Fri Nov 12 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.0.1-4mdk
- spec fixes
- remove generated files from /usr/share/mime/

* Mon Aug 30 2004 Jerome Soyer <saispo@mandrake.org> 2.0.1-3mdk
- Another BuildRequires

* Wed Aug 18 2004 Jerome Soyer <saispo@mandrake.org> 2.0.1-2mdk
- Fix BuildRequires

* Tue Aug 17 2004 Jerome Soyer <saispo@mandrake.org> 2.0.1-1mdk
- 2.0.1

* Thu Aug 12 2004 Jerome Soyer <saispo@mandrake.org> 2.0.0-1mdk
- 2.0.0

* Thu Jun 03 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.93.3-1mdk
- 1.93.3

